FILE2TAP(1)

NAME
file2tap - create a tap format tape container from individual files

SYNOPSIS
file2tap -c TNAM -b n FLIST...
file2tap -a TNAM -b n FLIST...

DESCRIPTION
Creates (-c) a new or appends (-a) to an existing tap format tape container file NAM and adds files. The tape record size is specified with a -b option followed by the record size in units 512 bytes. Each tape file is built from a comma-separated list of disk files FLIST, which are concatenated and written with a record size given by the last -b option. file2tap writes to stdout a one-line message for each created file which gives the file number, number of records, the record size in bytes, and the names of the disk files used to build the tape file.

OPTIONS

-c TNAM
    create a new tap format tape container with the name TNAM.

-a TNAM
    append to the existing tap format tape container TNAM.

-b n
    gives the record size, in units of 512 bytes, for the following files.

EXAMPLES

file2tap -c tape.tap -b 20 patch.tar
    converts the tar(1) archive file patch.tar into a tape container file tape.tap. The record size is 20*512 or 10240 bytes, the standard block size of Unix V7 format tar archives.

file2tap -c tape.tap -b 1 b0,b1,b2 -b 2 f1 f2 -b 20 f3 f4 f5
    creates a tape container file tape.tap with six tape files. The first has a record length of 512 bytes and is composed of the concatenation of the disk files b0, b1, and b2. The second and third tape file have a record length of 1024 bytes and are created from f1 and f2, respectively. The remaining three files have a record length of 10240 bytes.

SEE ALSO
tap2file(1)

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>